﻿-----------------------------------------------------------------------------

if not AceLibrary:HasInstance("FuBarPlugin-2.0") then return end

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AssessmentSoloHide")

L:RegisterTranslations("enUS", function() return {
	["Solo Hide"] = true,
    ["Automatically hide Assessment windows when solo."] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["Solo Hide"] = "솔로시 숨김",
    ["Automatically hide Assessment windows when solo."] = "파티나 공격대에 속하지 않을 경우에는 자동으로 숨깁니다.",
} end)

L:RegisterTranslations("frFR", function() return {
	["Solo Hide"] = "Cacher en Solo",
    ["Automatically hide Assessment windows when solo."] = "Cache automatiquement les fen\195\170tres lorsqu'on solote.",
} end)


-----------------------------------------------------------------------------

local AssessmentSoloHide = Assessment:NewModule("SoloHide", "AceEvent-2.0")
AssessmentSoloHide.db = Assessment:AcquireDBNamespace("SoloHide")
Assessment:RegisterDefaults("SoloHide", "profile", {
	enable	= false,
})

-----------------------------------------------------------------------------

local profile
local isGrouped

-----------------------------------------------------------------------------

Assessment.Options.args.soloHide =
{
	type = "toggle",
	name = L["Solo Hide"],
	desc = L["Automatically hide Assessment windows when solo."],
	get = function() return profile.enable end,
	set = function(v) 
			profile.enable = v 
			AssessmentSoloHide:OnEnable() 
			if v then
				isGrouped = nil 
				AssessmentSoloHide:OnRosterUpdated() 
			else
				AssessmentSoloHide:TriggerEvent("Assessment:ShowAll")
			end
	     end,
	order = 100,
}

-----------------------------------------------------------------------------

function AssessmentSoloHide:OnInitialize()
	profile = self.db.profile
	isGrouped = (GetNumPartyMembers() + GetNumRaidMembers()) > 0
end

function AssessmentSoloHide:OnEnable()
	if profile.enable then
		self:RegisterEvent("RosterLib_RosterUpdated", "OnRosterUpdated")
	else
		self:CancelEvent("RosterLib_RosterUpdated", "OnRosterUpdated")
	end
end

function AssessmentSoloHide:OnDisable()
end

-----------------------------------------------------------------------------

function AssessmentSoloHide:OnRosterUpdated()
	local newIsGrouped = (GetNumPartyMembers() + GetNumRaidMembers()) > 0
	
	if newIsGrouped ~= isGrouped then
		isGrouped = newIsGrouped
		
		if isGrouped then
			self:TriggerEvent("Assessment:ShowAll")
		else
			self:TriggerEvent("Assessment:HideAll")
		end
	end
end

-----------------------------------------------------------------------------
