﻿local MAJOR_VERSION = "Threat-1.0"
local MINOR_VERSION = tonumber(("$Revision: 52299 $"):match("%d+"))

if MINOR_VERSION > _G.ThreatLib_MINOR_VERSION then
	_G.ThreatLib_MINOR_VERSION = MINOR_VERSION
end

ThreatLib_funcs[#ThreatLib_funcs+1] = function()

local ThreatLib = _G.ThreatLib

local BB = AceLibrary("Babble-Boss-2.2")

ThreatLib:GetModule("NPCCore"):RegisterModule(BB["Zul'jin"], function(Zuljin)
	Zuljin:RegisterTranslation("enUS", function() return {
		["Got me some new tricks... like me brudda bear...."] = "Got me some new tricks... like me brudda bear....",
		["Dere be no hidin' from da eagle!"] = "Dere be no hidin' from da eagle!",
		["Let me introduce you to me new bruddas: fang and claw!"] = "Let me introduce you to me new bruddas: fang and claw!",
		["Ya don' have to look to da sky to see da dragonhawk!"] = "Ya don' have to look to da sky to see da dragonhawk!",
	} end)

	Zuljin:RegisterTranslation("koKR", function() return {
		["Got me some new tricks... like me brudda bear...."] = "보아라, 내 새로운 기술을... 형제 곰으로 변신하는 것 같이 말이다...",
		["Dere be no hidin' from da eagle!"] = "이 독수리의 눈 밖을 벗어나서 숨진 못할 것이니!",
		["Let me introduce you to me new bruddas: fang and claw!"] = "내 새로운 형제인 이빨과 발톱의 위력을 소개 하마!",
		["Ya don' have to look to da sky to see da dragonhawk!"] = "용매를 보겠다고 하늘을 올려다볼 필요가 없게 해 주마!",	
	} end)

	local bear = Zuljin:GetTranslation("Got me some new tricks... like me brudda bear....")
	local eagle = Zuljin:GetTranslation("Dere be no hidin' from da eagle!")
	local lynx = Zuljin:GetTranslation("Let me introduce you to me new bruddas: fang and claw!")
	local dragonhawk = Zuljin:GetTranslation("Ya don' have to look to da sky to see da dragonhawk!")

	Zuljin:UnregisterTranslations()

	local function Clear()
		self:WipeAllRaidThreat()
	end

	function Zuljin:Init()
		self:RegisterCombatant(BB["Zul'jin"], true)

		self:RegisterChatEvent("yell", BB["Zul'jin"], bear, Clear)
		self:RegisterChatEvent("yell", BB["Zul'jin"], eagle, Clear)
		self:RegisterChatEvent("yell", BB["Zul'jin"], lynx, Clear)
		self:RegisterChatEvent("yell", BB["Zul'jin"], dragonhawk, Clear)
	end

	function Zuljin:StartFight()
		self:SetNumberOfMobs(1)
	end
end)

table.insert(ThreatLib.UpvalueFixers, function(lib)
	ThreatLib = lib
end)

end
